import React from "react";
import MapComponent from "./map.component";
/* global google */

export default ({
  onMarkerMoved
}) => {
  // avoid re-rendering by using let (similar to instance field)
  let marker = null;
  return <MapComponent onMapClick={(map, position) => {
    if (marker) {
      marker.setMap(null);
    }
    marker = new google.maps.Marker({ map, position });
    if (onMarkerMoved) {
      onMarkerMoved({ lat: position.lat(), lng: position.lng() });
    }
  }}/>
};
